Sets the color of the specified colormap index

- « Imagick::setImageClipMask

- Imagick::setImageColorspace »

- PHP Manual
- Imagick
- Sets the color of the specified colormap index

# Imagick::setImageColormapColor

(PECL imagick 2, PECL imagick 3)

Imagick::setImageColormapColor — Sets the color of the specified colormap index

### Description

public Imagick::setImageColormapColor(int `$index`, ImagickPixel `$color`): bool

Sets the color of the specified colormap index.

### Parameters

`index`

`color`

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.